// Load Mongoose OS API
load('api_sys.js');
load('api_events.js');
load('api_log.js');
load('api_gcp.js');

GCP.command(function (cmddata, subfolder, ud) {
    if(!cmddata)
      return;
    let cmd = JSON.parse(cmddata) || {};
    Log.print(Log.INFO, 'Received command: ' + cmddata);
    if(subfolder)
      Log.print(Log.INFO, 'for subfolder:: ' + subfolder);
}, null);

// handle connect/disconnect
Event.addHandler(Event.GCP_CONNECT, function (ev, evdata, ud) {
    Log.print(Log.INFO, 'Connected to GCP');
}, null);
Event.addHandler(Event.GCP_CLOSE, function (ev, evdata, ud) {
    Log.print(Log.INFO, 'Disconnected from GCP');
}, null);


// generic time change, includes SNTP (SYS+3)
Event.addHandler(Event.OTA_TIME_CHANGED, function (ev, evdata, ud) {
    Log.print(Log.INFO, 'Time set');
}, null);

Log.print(Log.WARN, "### init script started ###");

